:root {
  /* background */
  --c-yellow: #f7941d;
  --c-violet: #1b75bc;
  --c-black: #000;
  --c-white: #fff;
  --c-light-green: #00a79e;
  --c-grey: #c9c9ce;
  --c-light-grey: #f2f2f2;

  /* text */
  --txt-lips: #615e9b;
  --txt-violet: #8b89ab;
  --txt-grey: #53565a;
  --txt-orange: #ed740c;
}

/* Common */
* {
  box-sizing: border-box;
}

body {
  /* font-family: "Roboto", sans-serif; */
  font-family: "Quicksand", sans-serif;
  font-size: 18px;
  font-weight: 500;
  margin: 0;

  position: relative;
}


img {
  display: block;
  max-width: 100%;
  height: auto;
}

.main-screen {
  padding: 40px;
  background: var(--c-white);
}

.visually-hidden {
  position: absolute;
  width: 1px;
  height: 1px;
  margin: -1px;
  border: 0;
  padding: 0;

  white-space: nowrap;
  clip-path: inset(100%);
  clip: rect(0 0 0 0);
  overflow: hidden;
}

/* hide lips */
.not-active {
  opacity: 0;
  pointer-events: none;
}

.tool {
  display: flex;
  justify-content: space-between;
  margin-bottom: 15px;
}

/* .tool:not(:last-child) {
  margin-bottom: 15px;
} */

.label {
  font-size: 18px;
  color: var(--txt-grey);
  display: flex;
  align-items: center;
}

.label__subtext {
  margin-left: 10px;
  font-size: 14px;
}

.tooltip {
  position: relative;
  display: flex;
  margin-left: 10px;
}

.tooltip__text {
  visibility: hidden;
  opacity: 0;
  position: absolute;
  top: 0;
  left: 50%;
  font-size: 14px;
  line-height: 1.5;
  transform: translate(-50%, -105%);
  width: 285px;
  background-color: var(--c-light-green);
  color: #fff;
  text-align: center;
  padding: 10px;
  border-radius: 100px;
  z-index: 2;
  transition: all 200ms linear;
}

.tooltip__img:hover ~ .tooltip__text {
  visibility: visible;
  opacity: 1;
}

.select {
  width: 50px;
  /* margin-left: 17px; */
  padding-left: 5px;
  border: none;
  font-size: 14px;
  background: none;
  border: 1px solid var(--c-violet);
  border-radius: 20px;
  height: 28px;
}

.input {
  font-family: "Quicksand", sans-serif;
  color: var(--txt-black);
  max-width: 90px;
  padding: 4px 13px;
  margin-left: 5px;
  text-align: right;
  background: var(--c-white);
  border-radius: 25px;
  font-size: 16px;
  font-weight: 500;
  border: 1px solid var(--c-violet);
  outline-color: var(--c-light-green);
}

.title {
  color: var(--txt-grey);
  margin-bottom: 12px;
  /* margin-top: 40px; */
}
/* -------------------------------- */
.start-screen {
  display: flex;
  justify-content: center;
  align-items: center;
  min-height: 80vh;
}

.main__container {
  width: 100%;
  display: flex;
  background-color: var(--c-white);
}

.tools__container {
  width: 480px;
}

.tools__main {
}

.right__container {
  flex-grow: 1;
}

.canvas__container {
  /* min-height: 700px; */
  height: 80vh;
  background-color: var(--c-white);
  position: relative;
  overflow: hidden;
}

.canvas {
}

.canvas-3d {
  position: absolute;
  top: 0;
}
.select--lips {
  margin-left: 0;
}

/* Kонтейнер на Start screen */
.type__container {
  display: flex;
  flex-direction: column;
}

.start-screen__title {
  font-size: 24px;
  margin-bottom: 90px;
  text-align: center;
}

.type__wrapper {
  display: flex;
}

.type {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.type:not(:last-child) {
  margin-right: 100px;
}

.type__title {
  font-size: 14px;
  margin-bottom: 20px;
}

.type__img {
  cursor: pointer;
  padding: 10px;
  border: 2px solid transparent;
  border-radius: 7px;
}

.type__img:hover {
  border-color: var(--c-light-green);
}
/* ------------------------------------ */

/* Змінний контейнер на Waste options */
.waste__container {
  /* margin-top: 15px; */
}

.title--waste {
  margin-top: 0;
}

.waste__images {
  display: flex;
  justify-content: space-between;
  margin-bottom: 20px;
}

.waste__images_2 {
  display: grid;
  grid-template-columns: repeat(2, calc(50% - 5px));
  grid-gap: 10px;
}

.waste__type {
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 5px;
  border-radius: 7px;
  border: 2px solid rgba(0, 0, 0, 0);
  cursor: pointer;
}

.waste__type:hover {
  border: 2px solid var(--c-light-green);
}

.waste__title {
  text-transform: uppercase;
  font-size: 9px;
  margin-top: 3px;
}

.waste__type--is-active {
  border: 2px solid var(--c-light-green);
}

.waste__img {
  width: 75px;
}
.waste__img_2 {
  width: 100%;
}
/* ------------------------ */

.waste__title--channel {
  text-transform: none;
  font-size: 14px;
}

.grate-length-wr {
  display: flex;
}
.grate-length-wr > .input {
  background-color: var(--c-light-grey);
}

.grate-length-wrapper {
  max-width: 340px;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.grate-length-subtext,
.pos-subtext {
  color: var(--txt-orange);
  font-size: 14px;
  text-align: center;
}
/* ------------------------ */

.pos-wrapper {
  margin-top: 15px;
}

.title-btns-wrap {
  display: flex;
  align-items: center;
  justify-content: space-between;
  margin-bottom: 15px;
  flex-wrap: wrap;
}

.title--pos {
  display: flex;
  align-items: center;
  color: var(--txt-grey);
}

.pos__subtext {
  margin-left: 5px;
}

.btns-container {
  display: flex;
}

.is-btns-shown .title--pos {
  flex-direction: column;
  margin-right: 10px;
  min-width: 167px;
}

.is-btns-shown .pos__subtext {
  margin-left: 0;
  font-size: 14px;
}

.pos-btn {
  padding: 5px 0;
  cursor: pointer;
  font-size: 14px;
  color: var(--txt-grey);
  border-radius: 25px;
  background: none;
  border: 1px solid var(--c-violet);
  transition: all 0.9s cubic-bezier(0.19, 1, 0.22, 1);
  width: 80px;
  display: flex;
  justify-content: center;
  align-items: center;
}

.pos-btn:not(:last-child) {
  margin-right: 5px;
}

.pos-btn--active {
  background-color: var(--c-yellow);
      color: #fff;
      
        border: 1px solid var(--c-yellow);
}

.pos-btn:hover {
  background-color: var(--c-yellow);
}

.tool--pos {
  justify-content: initial;
  margin-bottom: 0;
}

.pos-length {
  display: flex;
  align-items: center;
  margin-right: 20px;
}

.pos-width {
  display: flex;
  align-items: center;
}

.label--pos {
  font-size: 14px;
  font-weight: normal;
}

.input--pos {
  width: 90px;
  background-color: var(--c-light-grey);
}

/* Lips */
.lips__wrapper {
  margin-top: 40px;
  margin-bottom: 24px;
}

.lips__type {
  display: flex;
  align-items: center;
  justify-content: space-between;
  margin-bottom: 7px;
}

.lips__title_wr {
  display: flex;
  align-items: center;
  flex-grow: 1;
  justify-content: space-between;
}

.lips__title {
  color: var(--txt-lips);
  font-size: 15px;
}

.lips_checkbox_wr {
  display: flex;
  align-items: center;
}

.lips__tools {
  display: flex;
  align-items: center;
}

.lips__tools_item {
  display: flex;
  align-items: center;
}

.lips__checkbox-text {
  font-size: 14px;
}

.lips__checkbox {
  margin-right: 5px;
  margin-left: 5px;
}

.toggle__bgd {
  position: relative;
  width: 50px;
  height: 28px;
  margin-left: 5px;
  margin-right: 5px;
  display: flex;
  align-items: center;
  border-radius: 20px;
  cursor: pointer;
  background: var(--c-violet);
}

.toggle {
  position: absolute;
  left: 4px;
  width: 22px;
  height: 22px;
  border-radius: 50%;
  background: var(--c-yellow);
  transition: all 200ms linear;
}

.lips__checkbox:checked + .toggle__bgd > .toggle {
  left: 25px;
}

.lips__label {
  margin-left: 17px;
  margin-right: 5px;
  font-size: 14px;
}
/* -------------------------- */

/* Buttons */
.buttons__container {
  display: flex;
  justify-content: space-between;
}

.buttons__container--2d3d {
  justify-content: center;
}

.button {
  display: block;
  padding: 10px 18px;
  cursor: pointer;
  font-size: 15px;
  color: #fff;
  border-radius: 25px;
  font-weight: 500;
  text-transform: uppercase;
  background: var(--c-light-green);
  position: relative;
  border: 0;
  transition: all 0.9s cubic-bezier(0.19, 1, 0.22, 1);
}
.button:hover {
  background: #ec008c;
}

/* .button:not(:last-child) {
  margin-right: 15px;
} */

.button--back {
  margin-bottom: 28px;
  background: none;
  border: 1px solid var(--c-light-green);
  padding-left: 30px;
  color:#000;
}

.button--back:before {
  content: "";
  position: absolute;
  background: url(../images/arrow_left.svg) no-repeat;
  width: 6px;
  height: 11px;
  left: 15px;
  top: 0;
  bottom: 0;
  margin: auto;
}

.button-print {
  padding-right: 37px;
}

.button-print:after {
  content: "";
  position: absolute;
  background: url(../images/icon_print2.svg) no-repeat;
  width: 14px;
  height: 14px;
  right: 15px;
  top: 0;
  bottom: 0;
  margin: auto;
}

.button-download {
  padding-right: 37px;
}

.button-download:after {
  content: "";
  position: absolute;
  background: url(../images/icon_download2.svg) no-repeat;
  width: 12px;
  height: 12px;
  right: 15px;
  top: 0;
  bottom: 0;
  margin: auto;
}

.change_view_wr {
  display: flex;
}

.change_view {
  display: block;
  padding: 9px 20px;
  cursor: pointer;
  font-size: 15px;
  color: var(--txt-grey);
  border-radius: 25px;
  font-weight: 500;
  text-transform: uppercase;
  background: none;
  border: 1px solid var(--c-light-green);
  position: relative;
  margin-right: 15px;
  transition: all 0.9s cubic-bezier(0.19, 1, 0.22, 1);
}

.change_view:hover {
  background: var(--c-yellow);
}

.change_view_active {
  background: var(--c-light-green);
  /*pointer-events: none;*/
}

.change_view:last-child {
  margin: 0;
}

.tools__cont {
  /* display: inline-block; */
}

.dropdown {
  position: relative;
}

.dropdown--position {
  min-width: 90px;
}

.dropdown--position ~ .input {
  margin-left: 25px;
}

.dropdown_title {
  font-size: 16px;
  color: var(--txt-black);
  position: relative;
  padding: 0 9px 0 12px;
  border: 1px solid var(--c-violet);
  cursor: pointer;
  height: 30px;
  display: flex;
  align-items: center;
  border-radius: 28px;
  z-index: 1;
  min-width: 70px;
  justify-content: space-between;
  overflow: hidden;
  transition: all 0.9s cubic-bezier(0.19, 1, 0.22, 1);
}

.dropdown_title_text {
  margin-right: 6px;
  position: relative;
  z-index: 1;
  pointer-events: none;
}

.dropdown_arrow_img {
  width: 14px;
  transform: rotate(90deg);
  transition: all 0.9s cubic-bezier(0.19, 1, 0.22, 1);
  pointer-events: none;
}

.open_dropdown .dropdown_arrow_img {
  transform: rotate(270deg);
}

.option_wrap {
  position: absolute;
  background: var(--c-white);
  border: 1px solid var(--c-violet);
  border-radius: 12px;
  left: 0;
  top: 100%;
  padding: 7px;
  z-index: 2;
  opacity: 0;
  transform: translateY(30px);
  pointer-events: none;
  transition: all 0.9s cubic-bezier(0.19, 1, 0.22, 1);
}

.dropdown_top .option_wrap {
  top: auto;
  bottom: 100%;
  transform: translateY(-30px);
}

.open_dropdown .option_wrap {
  opacity: 1;
  transform: translateY(0px);
  pointer-events: auto;
}

.option_wr {
  max-height: 150px;
  overflow: auto;
}

.option_wr--high {
  max-height: 200px;
}

.option_wr--high .option_item {
  width: 65px;
}

.option_grid {
  display: grid;
  grid-template-columns: auto;
  grid-gap: 5px;
}

.option_grid_big {
  display: grid;
  grid-template-columns: repeat(auto-fill, 45px);
  max-width: 150px;
  grid-gap: 5px;
}

.option_item {
  cursor: pointer;
  font-size: 15px;
  color: var(--txt-black);
  border-radius: 25px;
  font-weight: 500;
  /* text-transform: uppercase; */
  background: none;
  border: 1px solid var(--c-light-green);
  position: relative;
  transition: all 0.9s cubic-bezier(0.19, 1, 0.22, 1);
  width: 43px;
  height: 25px;
  display: flex;
  justify-content: center;
  align-items: center;
}

.option_item--orientation {
  width: auto;
  padding: 0 10px;
}

.option_item--position {
  width: 100px;
  padding: 0 10px;
}

.option_item:hover {
  background: var(--c-yellow);
  /* pointer-events: none; */
}

.option_item_active {
  background: var(--c-light-green);
  color:#fff;
}

.option_item_disabled {
  background: var(--c-grey);
  border: none;
  pointer-events: none;
}

.lips-hide-wrapper {
  display: flex;
  align-items: center;
}

/* FORM */
.form__container {
  width: 500px;
  margin-left: auto;
  margin-right: auto;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  padding-bottom: 84px;
  padding-top: 84px;
}

.form__container > .form_close_button {
  margin-right: 0;
  padding: 0;
  position: absolute;
  display: flex;
  justify-content: center;
  align-items: center;
  top: 20px;
  right: 20px;
  width: 30px;
  height: 30px;
  border-radius: 50%;
}

.form__title {
  text-align: center;
  font-size: 24px;
  margin-bottom: 50px;
}

.input__container {
  /*width: 345px;*/
  display: flex;
  flex-direction: column;
  margin-bottom: 20px;
}

.input__container input {
  height: 42px;
  padding-left: 17px;
  font-size: 16px;
  border-radius: 20px;
  border: 1px solid var(--c-violet);
  background-color: transparent;
  color: var(--txt-grey);
  margin-bottom: 6px;
}

.input__container input:not(:last-child) {
  margin-bottom: 6px;
}

.input__container input::placeholder {
  color: var(--txt-violet);
}

.button--upload {
  font-size: 18px;
  font-weight: 500;
  padding-right: 33px;
  line-height: 1;
}

.button--upload:after {
  content: "";
  position: absolute;
  transform: rotate(180deg);
  background: url(../images/arrow_right_dark.svg) no-repeat;
  width: 8px;
  height: 13px;
  right: 20px;
  top: 0;
  bottom: 0;
  margin: auto;
}

.input_file_container {
  display: flex;
  align-items: center;
  height: 42px;
  padding-left: 17px;
  margin-bottom: 6px;
  font-size: 16px;
  border-radius: 20px;
  border: 1px solid var(--c-violet);
  justify-content: space-between;
}

.input_file_placeholder {
  color: var(--txt-violet);
  opacity: 0.5;
}

.input_file_label,
.input_file_container label {
  position: relative;
  padding: 8px 26px 8px 18px;
  margin-right: 3px;
  margin-left: auto;
  border-radius: 25px;
  white-space: nowrap;
  color:#fff;
  text-transform: uppercase;
  background-color: var(--c-violet);
  cursor: pointer;
  transition: all 0.9s cubic-bezier(0.19, 1, 0.22, 1);
}

.input_file_container label:hover {
  background: #ec008c;
}

.input_file_label:after,
.input_file_container label:after {
  content: "";
  position: absolute;
  transform: rotate(180deg);
  background: url(../images/arrow_right_yellow2.svg) no-repeat;
  width: 7px;
  height: 12px;
  right: 15px;
  top: 0;
  bottom: 0;
  margin: auto;
}

.input_file_container label:hover:after {

}

.input_file_container span {
  position: absolute;
  opacity: 0;
  height: 0;
  width: 0;
  pointer-events: none;
}

.conf_send_wr {
  position: relative;
  display: inline-block;
  background: var(--c-light-green);
  border-radius: 25px;
  overflow: hidden;
  transition: all 0.9s cubic-bezier(0.19, 1, 0.22, 1);
}

.conf_send_wr:hover {
  background: #ec008c;
}

.conf_send {
  color: #fff;
  font-size: 18px;
  text-transform: uppercase;
  background: none;
  padding: 9px 20px;
  padding-right: 40px;
  display: inline-block;
  border: none;
  cursor: pointer;
  position: relative;
}

.conf_send_wr:after {
  content: "";
  position: absolute;
  background: url(../images/arrow_right_yellow2.svg) no-repeat;
  height: 17px;
  width: 18px;
  right: 18px;
  top: 0;
  bottom: 4px;
  margin: auto;
  pointer-events: none;
  transform: rotate(180deg);
  background-size: contain;
}

.configrator_wr form {
  text-align: center;
}
.configrator_wr .wpcf7-response-output{
	color:#000;
}

/* -----------2 phase---------------------------- */
.drain-tools-container {
  padding: 15px;
  margin-bottom: 15px;
  background-color: var(--c-light-grey);
  border: 1px solid var(--c-grey);
  border-bottom-left-radius: 10px;
  border-bottom-right-radius: 10px;
  border-top-right-radius: 15px;
}

.grate-num-btns-cont {
  display: flex;
  height: 33px;
}

.grate-num {
  position: relative;
  display: flex;
  padding: 10px 20px 0px 20px;
  margin-right: 5px;
  margin-bottom: -1px;

  font-size: 14px;
  line-height: 1;
  background-color: var(--c-light-grey);
  border-top: 1px solid var(--c-grey);
  border-right: 1px solid var(--c-grey);
  border-left: 1px solid var(--c-grey);
  border-bottom: 1px solid var(--c-light-grey);
  border-top-left-radius: 15px;
  border-top-right-radius: 15px;
}

.grate-num:hover {
  cursor: pointer;
}

.grate-num-add {
  padding: 6px 19px 0px 19px;
  font-size: 20px;
  line-height: 1;
    color: #fff;
  background-color: var(--c-light-green);
  border-top-left-radius: 15px;
  border-top-right-radius: 15px;
}

.grate-num-add:hover {
  cursor: pointer;
}

.grate-num > svg {
  fill: #00a79e;
  margin-left: 14px;
  margin-right: -13px;
  margin-top: -2px;
}

.delete-txt {
  display: none;
  color: var(--txt-orange);
  position: absolute;
  right: -45px;
  top: 10px;
}

.grate-num > svg:hover {
  fill: #ec008c;
}

.grate-num > svg:hover ~ .delete-txt {
  display: block;
}

.backdrop {
  overflow-y: scroll;
  display: none;
  position: fixed;
  top: 0;
  left: 0;
  z-index: 2;
  width: 100%;
  height: 100%;
  background-color: rgba(256, 256, 256, 0.5);
}

.msg-content {
  display: none;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  position: absolute;
  width: 405px;
  height: 175px;
  top: 50%;
  left: 50%;
  border-radius: 30px;
  transform: translate(-50%, -50%);
  background: linear-gradient(to bottom, #aab5dc, white);
}

.msg-close {
  position: absolute;
  display: flex;
  align-items: center;
  justify-content: center;
  right: 10px;
  top: 10px;
  width: 35px;
  height: 35px;
  border-radius: 50%;
  background-color: var(--c-yellow);
  cursor: pointer;
}

.msg-close > svg {
  fill: var(--txt-lips);
}

.msg-text {
  color: var(--txt-grey);
  font-size: 24px;
  font-weight: 500;
}

.msg-btns-wrap {
  display: flex;
  margin-top: 20px;
}

.msg-btn {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 125px;
  height: 40px;
  border-radius: 25px;

  cursor: pointer;
}

.msg-btn-no {
  margin-right: 9px;
  background-color: var(--c-light-green);

  color: var(--c-black);
}

.msg-btn-yes {
  background-color: var(--txt-orange);
  color: var(--c-white);
}

.msg-btn-yes > svg {
  fill: var(--c-white);
  margin-left: 7px;
}

.alert-content {
  display: none;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  position: absolute;
  width: 40%;
  top: 50%;
  left: 50%;
  padding: 30px;
  border-radius: 30px;
  transform: translate(-50%, -50%);
    background: #1b75bc;
    color: #fff;
}

.alert-text {
  user-select: none;
  line-height: 1.5;
}

.alert-ok {
  display: flex;
  align-items: center;
    border: none;
  justify-content: center;
  margin-top: 20px;
  width: 125px;
  height: 40px;
  border-radius: 25px;
  cursor: pointer;
  background-color: var(--c-light-green);
  user-select: none;
  color:#fff;
  transition: all .9s cubic-bezier(.19,1,.22,1);
  border: 2px solid #fff;
    background: none;
}
.alert-ok:hover{
	background: #ec008c;
}
@media screen and (max-width: 1023px) {
  .is-btns-shown .title--pos {
    margin-bottom: 5px;
  }

  .title-btns-wrap {
    justify-content: normal;
  }

  .start-screen {
    display: block;
    padding: 40px 10px;
  }

  .type__wrapper {
    display: block;
  }

  .type:not(:last-child) {
    margin-right: 100px;
    margin: 0;
    margin-bottom: 30px;
  }

  .start-screen__title {
    margin-bottom: 33px;
  }

  .type__title {
    font-size: 20px;
    margin-bottom: 11px;
  }

  .main-screen {
    padding: 20px;
  }

  .main__container {
    display: block;
  }

  .buttons__container {
    display: grid;
    grid-template-columns: repeat(2, calc(50% - 5px));
    grid-gap: 10px;
  }

  .lips__type {
    display: block;
    margin-bottom: 25px;
    border-bottom: 1px solid #c9c9ce;
    padding-bottom: 10px;
  }

  .option_wrap {
    left: auto;
    right: 0;
  }

  .button--back {
    font-size: 13px;
  }

  .tools__cont {
    display: block;
  }

  .tools__container {
    margin-bottom: 35px;
    width: auto;
  }

  .button {
    font-size: 12px;
    margin-right: 0 !important;
  }

  .button--long {
    grid-column-start: 1;
    grid-column-end: 3;
  }

  .lips__label {
    margin-left: 0;
  }

  .lips-hide-wrapper {
    width: 100%;
    justify-content: space-between;
  }

  .lips__title_wr {
    margin-bottom: 10px;
  }

  .waste__images {
    display: grid;
    grid-template-columns: auto auto;
    grid-gap: 5px;
    justify-content: initial;
  }

  .waste__img {
    width: auto;
    max-width: 67%;
  }

  .lips-hide-wrapper.not-active {
    overflow: hidden;
    height: 0;
  }

  .form__container {
    width: 90%;
    padding-top: 66px;
  }

  .input__container {
    width: 100%;
  }

  .waste__images_2 {
    width: 100%;
  }

  .canvas__container {
    height: 90vmin;
  }
}
